# exos_facts – Collect facts from devices running Extreme EXOS

New in version 2.7.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Collects a base set of device facts from a remote device that is running EXOS. This module prepends all of the base network fact keys with `ansible_net_<fact>`. The facts module will always collect a base set of facts from the device and can enable or disable collection of additional facts.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

gather_network_resources
list
added in 2.9

When supplied, this argument will restrict the facts collected to a given subset. Possible values for this argument include all and the resources like interfaces, vlans etc. Can specify a list of values to include a larger subset. Values can also be used with an initial `!` to specify that a specific subset should not be collected. Valid subsets are 'all', 'lldp_global'.

gather_subset list | Default: ["!config"] | When supplied, this argument will restrict the facts collected to a given subset. Possible values for this argument include all, hardware, config, and interfaces. Can specify a list of values to include a larger subset. Values can also be used with an initial `!` to specify that a specific subset should not be collected.

## Notes

Note

- Tested against EXOS 22.5.1.7

## Examples

    - name:  Gather all legacy facts
      exos_facts:
        gather_subset: all

    - name: Gather only the config and default facts
      exos_facts:
        gather_subset: config

    - name: do not gather hardware facts
      exos_facts:
        gather_subset: "!hardware"

    - name: Gather legacy and resource facts
      exos_facts:
        gather_subset: all
        gather_network_resources: all

    - name: Gather only the lldp global resource facts and no legacy facts
      exos_facts:
        gather_subset:
          - '!all'
          - '!min'
        gather_network_resource:
          - lldp_global

    - name: Gather lldp global resource and minimal legacy facts
      exos_facts:
        gather_subset: min
        gather_network_resource: lldp_global

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ansible_net_all_ipv4_addresses list | when interfaces is configured | All IPv4 addresses configured on the device
ansible_net_all_ipv6_addresses list | when interfaces is configured | All Primary IPv6 addresses configured on the device
ansible_net_config string | when config is configured | The current active config from the device
ansible_net_gather_network_resources list | when the resource is configured | The list of fact for network resource subsets collected from the device
ansible_net_gather_subset list | always | The list of fact subsets collected from the device
ansible_net_hostname string | always | The configured hostname of the device
ansible_net_interfaces dictionary | when interfaces is configured | A hash of all interfaces running on the system
ansible_net_memfree_mb integer | when hardware is configured | The available free memory on the remote device in Mb
ansible_net_memtotal_mb integer | when hardware is configured | The total memory on the remote device in Mb
ansible_net_model string | always | The model name returned from the device
ansible_net_neighbors dictionary | when interfaces is configured | The list of LLDP neighbors from the remote device
ansible_net_serialnum string | always | The serial number of the remote device
ansible_net_version string | always | The operating system version running on the remote device

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Lance Richardson (@hlrichardson)

- Ujwal Koamrla (@ujwalkomarla)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.